Skip to main content
GET
/
2025-06-09
/
users
/
{userLocator}
/
linked-wallets
/
{address}
Get Linked External Wallet
curl --request GET \
  --url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/linked-wallets/{address} \
  --header 'X-API-KEY: <x-api-key>'
{
  "address": "0x1234567890abcdef1234567890abcdef12345678",
  "chain": "ethereum",
  "type": "external-wallet",
  "ownership": {
    "verified": false,
    "verificationChallenge": "<string>"
  }
}

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

userLocator
string
required

A user locator can be of the format:

  • email:<email>
  • userId:<userId>
  • phoneNumber:<phoneNumber>
  • twitter:<handle>
  • x:<handle>
address
string
required

Response

Linked wallet found

address
string
required

The wallet address

Example:

"0x1234567890abcdef1234567890abcdef12345678"

chain
enum<string>
required

The blockchain of the wallet

Available options:
solana,
sui,
aptos,
xion,
stellar,
arbitrum-sepolia,
arc-testnet,
avalanche-fuji,
curtis,
base-goerli,
base-sepolia,
bsc-testnet,
chiliz-spicy-testnet,
coti-testnet,
ethereum-goerli,
ethereum-sepolia,
hedera-testnet,
hypersonic-testnet,
lightlink-pegasus,
mantle-sepolia,
optimism-goerli,
optimism-sepolia,
polygon-amoy,
polygon-mumbai,
crossmint-private-testnet-ethereum,
crossmint-private-testnet-polygon,
rari-testnet,
scroll-sepolia,
sei-atlantic-2-testnet,
shape-sepolia,
skale-nebula-testnet,
soneium-minato-testnet,
space-testnet,
story-testnet,
verify-testnet,
viction-testnet,
xai-sepolia-testnet,
zkatana,
zkyoto,
zora-goerli,
zora-sepolia,
mode-sepolia,
u2u-nebulas,
zenchain-testnet,
abstract-testnet,
world-chain-sepolia,
plume-testnet,
flow-testnet,
tempo-testnet,
ethereum,
polygon,
bsc,
optimism,
arbitrum,
base,
zora,
arbitrumnova,
astar-zkevm,
apechain,
hedera,
coti,
lightlink,
mantle,
skale-nebula,
sei-pacific-1,
chiliz,
avalanche,
xai,
shape,
rari,
scroll,
viction,
mode,
space,
soneium,
story,
u2u-solaris,
abstract,
world-chain,
plume,
flow,
tempo
Example:

"ethereum"

type
enum<string>
required

The type of linked wallet

Available options:
external-wallet
Example:

"external-wallet"

ownership
object
required

Ownership verification status of the wallet